Subject: Re: linux-next: build failure after merge of the battery tree

From: Greg KH <[email-masked]>
Date: Thu, 5 Jan 2012 07:53:09 -0800

On Thu, Jan 05, 2012 at 07:25:36PM +0400, Anton Vorontsov wrote:
> On Thu, Jan 05, 2012 at 02:40:42PM +1100, Stephen Rothwell wrote:
> > Hi Anton,
> > 
> > After merging the battery tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > ERROR: "sysfs_create_link_nowarn" [drivers/power/power_supply.ko] undefined!
> > 
> > Caused by commit 8351665195ce ("power_supply: allow a power supply to
> > explicitly point to powered device").  That symbol is not exported to
> > modules.
> > 
> > I have used the battery tree from next-20120104 for today.
> 
> Thanks for catching this, Stephen!
> 
> I wonder why do we need to use _nowarn variant?..
> 
> Something tells me that we actually want a warning.

Yes, no one other than the driver core should ever be calling this
function, that is why it is not exported.

And I'm guessing, hopefully, that this sysfs link you are creating, is
also being documented in Documentation/ABI/ right?  If not, it must be.

thanks,

greg k-h